Obter log de entrega
curl --request GET \
--url https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Logs de entrega
Obter log de entrega
Inspecta uma tentativa de entrega de webhook
GET
https://api.upag.io
/
v1
/
webhooks
/
{webhookId}
/
logs
/
{logId}
Obter log de entrega
curl --request GET \
--url https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const url = 'https://api.upag.io/v1/webhooks/{webhookId}/logs/{logId}';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));Endpoint
curl https://api.upag.io/v1/webhooks/aa0e8400-e29b-41d4-a716-446655440000/logs/bb0e8400-e29b-41d4-a716-446655440000 \
-H "Authorization: Bearer sk_test_your_api_key"
Resposta
200 OK
Response
{
"id": "bb0e8400-e29b-41d4-a716-446655440000",
"webhookId": "aa0e8400-e29b-41d4-a716-446655440000",
"event": "charge.paid",
"method": "POST",
"url": "https://example.com/webhooks",
"statusCode": 500,
"duration": 120,
"request": {
"headers": { "Content-Type": "application/json" },
"body": { "event": "charge.paid", "data": {} }
},
"response": {
"headers": { "Content-Type": "text/plain" },
"body": "Internal Server Error"
},
"retryCount": 0,
"success": false,
"createdAt": "2026-03-18T12:10:00.000Z"
}